Usa CometAPI con OpenAI POST /v1/images/generations per creare immagini da prompt testuali, controllare lo stile, scegliere le dimensioni e restituire base64 o URL.
curl --request POST \
--url https://api.cometapi.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "dall-e-3",
"prompt": "A paper boat floating on calm water at sunrise."
}
'{
"created": 1773311889,
"data": [
{
"revised_prompt": "A paper boat floating on calm water at sunrise, with soft golden light reflecting off the water's surface.",
"url": "https://filesystem.site/cdn/20260312/1d6826050921c07a13ff173310c640.webp"
}
]
}dall-e-3 quando vuoi un semplice smoke test basato su URLgpt-image-1, gpt-image-1-mini o gpt-image-1.5 quando vuoi modelli di immagini GPT più recenti e puoi gestire risposte in base64qwen-image quando ti serve specificamente quel provider, ma mantieni n a 1dall-e-3size su 1024x1024response_format: "url" se vuoi una risposta JSON piccola e un URL di download temporaneodall-e-2 e dall-e-3 supportano risposte URL e risposte base64gpt-image-1, gpt-image-1-mini e gpt-image-1.5 è meglio considerarli come route orientate prima di tutto al base64qwen-image non supporta n > 1dall-e-3 con response_format: "url" ha restituito un normale timestamp created, un revised_prompt e un URL immagine temporaneo.Bearer token authentication. Use your CometAPI key.
The image generation model to use. Choose a current model from the Models page.
Text description of the image you want to generate.
"A paper boat floating on calm water at sunrise."
Number of images to generate. Keep this at 1 for the broadest compatibility.
Requested output size. Supported values depend on the selected model.
"1024x1024"
Requested output encoding for models that support it.
url, b64_json curl --request POST \
--url https://api.cometapi.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "dall-e-3",
"prompt": "A paper boat floating on calm water at sunrise."
}
'{
"created": 1773311889,
"data": [
{
"revised_prompt": "A paper boat floating on calm water at sunrise, with soft golden light reflecting off the water's surface.",
"url": "https://filesystem.site/cdn/20260312/1d6826050921c07a13ff173310c640.webp"
}
]
}